Bug 445412 - clean up CIFS build warnings
clean up CIFS build warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks: 461304
  Show dependency treegraph
 
Reported: 2008-05-06 15:04 EDT by Jeff Layton
Modified: 2009-05-18 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch -- clean up build warnings (10.13 KB, patch)
2008-05-06 16:00 EDT, Jeff Layton
no flags Details | Diff
patch -- clean up build warnings (take #2) (10.13 KB, patch)
2008-05-06 16:19 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2008-05-06 15:04:41 EDT
The recent backported CIFS code throws a lot of build warnings. Clean them up so
that real problems are more readily visible.
Comment 1 Jeff Layton 2008-05-06 16:00:11 EDT
Created attachment 304679 [details]
patch -- clean up build warnings

The warnings are mostly harmless -- most are due to different *_operations
structs being declared "const". This patch silences them. The resulting code is
a little ugly, but it compiles without warning.

I'll also plan to send this patch along to Steve and Shirish to see if they can
roll this into their backported tarballs.
Comment 2 Jeff Layton 2008-05-06 16:19:36 EDT
Created attachment 304682 [details]
patch -- clean up build warnings (take #2)

Slightly revised patch. I had the wrong version in some of the #if's, and it
didn't work correctly with RHEL5's kernel.
Comment 3 RHEL Product and Program Management 2008-09-03 09:16:53 EDT
Updating PM score.
Comment 4 RHEL Product and Program Management 2008-09-22 11:22:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jeff Layton 2009-01-23 10:09:06 EST
From bug 462459:

Committed in 78.23.EL . RPMS are available at
http://people.redhat.com/vgoyal/rhel4/

...moving this to MODIFIED since the patches for it were part of the larger CIFS update.
Comment 9 errata-xmlrpc 2009-05-18 15:36:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.